Crear alerta
curl --request POST \
--url https://community.goil.app/api/v1/external/alert \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"alertType": "<string>",
"location": {
"latitude": 123,
"longitude": 123,
"accuracy": 0
},
"region": "<string>",
"account": {
"typeId": "<string>",
"tag": "<string>",
"value": "<string>"
},
"additional": {
"street": "<string>"
}
}
'import requests
url = "https://community.goil.app/api/v1/external/alert"
payload = {
"alertType": "<string>",
"location": {
"latitude": 123,
"longitude": 123,
"accuracy": 0
},
"region": "<string>",
"account": {
"typeId": "<string>",
"tag": "<string>",
"value": "<string>"
},
"additional": { "street": "<string>" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
alertType: '<string>',
location: {latitude: 123, longitude: 123, accuracy: 0},
region: '<string>',
account: {typeId: '<string>', tag: '<string>', value: '<string>'},
additional: {street: '<string>'}
})
};
fetch('https://community.goil.app/api/v1/external/alert', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"timestamp": 123,
"error": "<string>",
"data": {}
}{
"timestamp": 123,
"error": "<string>",
"data": {}
}Alert
Crear alerta
Crea una alerta geolocalizada. Requiere autenticación Bearer (token de login) y contexto de negocio.
El cuerpo incluye account con typeId y opcionalmente tag/value para resolver el accountId.
POST
/
alert
Crear alerta
Authorizations
BearerAuthApiKeyClient
Token obtenido de POST /authentication/login (para alertas)
Body
application/json
Response
OK
